<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
            integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
             crossorigin="anonymous">
   <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
   <script src="https://unpkg.com/vuex@3.1.1/dist/vuex.js"></script>
   <title>Document</title>
</head>
<body>
    <div id="app" class="container">
        <titulo></titulo>
    </div>
    <script>
        Vue.component('titulo',{
            template://html
            `
            <div>
                <h1>numero {{ $store.state.numero }}</h1>
                <hijo></hijo>
            </div>
            `
        });
        Vue.component('hijo',{
            template://html
            `
            <div>
            <button @click="$store.commit('aumentar')">+</button>
            <h1>numero{{$store.state.numero}}</h1>
            </div>
            `    
        });
        const store=new Vuex.Store({
            state:{
                numero:10
            },
            mutations:{ 
                aumentar(state){
                    state.numero++
                }
            }
        });

        app=new Vue({
            el: '#app',
            store:store
        });
    
    </script>    
</body>
</html>